Package ghidra.app.util.viewer.field

# Class AbstractVariableFieldFactory

java.lang.Object
ghidra.app.util.viewer.field.FieldFactory
ghidra.app.util.viewer.field.AbstractVariableFieldFactory

All Implemented Interfaces:
  `ExtensionPoint`

Direct Known Subclasses:
  `VariableCommentFieldFactory`, `VariableLocFieldFactory`, `VariableNameFieldFactory`, `VariableTypeFieldFactory`

public abstract class AbstractVariableFieldFactory extends FieldFactory

- ## Field Summary

  ### Fields inherited from class ghidra.app.util.viewer.field.FieldFactory

  `BASE_LISTING_FONT_ID, baseFont, colorOptionName, enabled, FONT_OPTION_NAME, hlProvider, model, name, startX, style, styleOptionName, width`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  ``
  `AbstractVariableFieldFactory(String name)`
  Constructs a AbstractVariableFieldFactory with given name.
  `protected`
  `AbstractVariableFieldFactory(String name, FieldFormatModel model, ListingHighlightProvider highlightProvider, Options displayOptions, Options fieldOptions)`
  AbstractVariableFieldFactory constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `displayOptionsChanged(Options options, String optionName, Object oldValue, Object newValue)`
  Notifications that the display options changed.
  `protected Color`
  `getColor(Variable var)`
  `protected FontMetrics`
  `getMetrics(Variable var)`
  `protected void`
  `initDisplayOptions(Options displayOptions)`

  ### Methods inherited from class ghidra.app.util.viewer.field.FieldFactory

  `acceptsType, fieldOptionsChanged, getField, getFieldLocation, getFieldModel, getFieldName, getFieldText, getMetrics, getMetrics, getProgramLocation, getStartX, getWidth, hasSamePath, initFieldOptions, isEnabled, newInstance, servicesChanged, setEnabled, setStartX, setWidth, simplifyTemplates, supportsLocation`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AbstractVariableFieldFactory

    public AbstractVariableFieldFactory(String name)
    Constructs a AbstractVariableFieldFactory with given name. Used only as potential field.
    Parameters:
      `name` - the name of the field.

  - ### AbstractVariableFieldFactory

    protected AbstractVariableFieldFactory(String name, FieldFormatModel model, ListingHighlightProvider highlightProvider, Options displayOptions, Options fieldOptions)
    AbstractVariableFieldFactory constructor
    Parameters:
      `name` - the name of the field
      `model` - the model that the field belongs to.
      `highlightProvider` - the HightLightStringProvider.
      `displayOptions` - the Options for display properties.
      `fieldOptions` - the Options for field specific properties.

- ## Method Details

  - ### initDisplayOptions

    protected void initDisplayOptions(Options displayOptions)
    Overrides:
      `initDisplayOptions` in class `FieldFactory`

  - ### displayOptionsChanged

    public void displayOptionsChanged(Options options, String optionName, Object oldValue, Object newValue)
    Description copied from class: `FieldFactory`
    Notifications that the display options changed.
    Overrides:
      `displayOptionsChanged` in class `FieldFactory`
    Parameters:
      `options` - the Display Options object that changed.
      `optionName` - the name of the property that changed.
      `oldValue` - the old value of the property.
      `newValue` - the new value of the property.

  - ### getColor

    protected Color getColor(Variable var)

  - ### getMetrics

    protected FontMetrics getMetrics(Variable var)